/*
	File:		SampleStorageDriver.r

	Contains:	Resources for the Sample Storage Class Driver

	Version:	1.1

	Copyright:	 1998-1999 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Craig Keithley

		Other Contact:		xxx put other contact here xxx

		Technology:			USB Drivers

	Writers:

		(CJK)	Craig Keithley

	Change History (most recent first):

	  <USB2>	 1/11/99	CJK		update to use sources from 1.1f3 DDK
*/

#include	"MacTypes.r";
#include	"SampleStorageVersion.h";


resource 'vers' (1, locked) {
	kStorageHexMajorVers, kStorageHexMinorVers, kStorageReleaseStage, kStorageCurrentRelease, verUS,		// Numeric version
	kStorageStringVersShort,									// Short version
	kStorageStringVers1Long										// Long version
};

resource 'vers' (2, locked) {
	kStorageHexMajorVers, kStorageHexMinorVers, kStorageReleaseStage, kStorageCurrentRelease, verUS,		// Numeric version
	kStorageStringVersShort,									// Short version
	kStorageStringVers2Long										// Long version
};

data 'CCI' (128, purgeable) {
	"USB Sample Storage Class Driver."
};