// Use the extended CFRG template
#define UseExtendedCFRGTemplate 1

// Use the same name as the .h file
#define	kZVNodeName		"\pf1,ACME"


#include <CodeFragmentTypes.r>
#include <Types.r>
#include <SysTypes.r>

// If you need more than one fragment, then the kWholeFork will need to change.  Use the mergefragment MPW tool
// to generate the extended fragments. This fragment is here to show how an extended entry would look.  If you 
// only have one fragment, then CodeWarrior will generate the correct cfrg resource.

/*
resource 'cfrg' (0) {
	{
		extendedEntry {
			kPowerPC, kFullLib, kNoVersionNum, kNoVersionNum,
			kDefaultStackSize, kNoAppSubFolder,
			kIsLib,kOnDiskFlat,
			kZeroOffset,
			kWholeFork,
			kZVNodeName,							// standard internal name: used by CFM
			
			// start of extended info
			'ndrv',
			"",
			"",
			"",
			"ZoomedVideo Driver"					// external name: may be seen by user
		}
	}
};

*/

resource 'BNDL' (128) {
	'zvtv',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		}
	}
};

data 'zvtv' (0, "Owner resource") {
	$"00"                                                 /* . */
};

resource 'FREF' (128) {
	'ndrv',
	0,
	""
};

resource 'vers' (1) {
	0x1,
	0x0,
	release,
	0x1,
	verUS,
	"1.0f1",
	"1.0f1, Apple Computer, Inc."
};

resource 'vers' (2) {
	0x1,
	0x0,
	release,
	0x1,
	verUS,
	"1.0f1",
	"ZV Driver SDK"
};

resource 'icl4' (128) {
	$"0F1F 1F1F 1F1F 1F1F 1F1F 1F1F 1F1F 1F00"
	$"FF1F 1F1F 1F1F 1F1F 1F1F 1F1F 1F1F 1FF0"
	$"11EE EEEE EEEE EEEE EEEE EEEE EEEE EB2C"
	$"FFEE EEEE EEEE EEEE EEEE EEEE EEEE EFFC"
	$"11EE EE33 EEEE EEEE EEEE EEEE EEEE EB2C"
	$"FFEE 3E33 EEEE EEEE EEEE EEEE EEEE EFFC"
	$"11EE EEEE EEEE EEEE EEEE EEEE EEEE EB2C"
	$"FFEE EEEE EEEE EEEE EEEE EEEE EEEE EFFC"
	$"11EE EEEE EE3E EEEE EEEE EEEE EEEE EB2C"
	$"FFEE EE33 E333 EEEE EEEE EEEE EEEE EFFC"
	$"11EE 3E33 E333 EEEE EEEE EEEE EEEE EB2C"
	$"FFEE EEEE EE3E EEEE EEEE EEEE EEEE EFFC"
	$"11EE EEEE EEEE EEEE EEEE EEEE EEEE EB2C"
	$"FFEE EEEE EE3E EE33 EEEE EEEE EEEE EFFC"
	$"11EE EE33 E333 E333 3EEE EEEE EEEE EB2C"
	$"FFEE 3E33 E333 E333 3EEE EEEE EEEE EFFC"
	$"11EE EEEE EE3E EE33 EEEE EEEE EEEE EB2C"
	$"FFEE EEEE EEEE EEEE EEEE EEEE EEEE EFFC"
	$"11EE EEEE EE3E EE33 EEE3 3EEE EEEE EB2C"
	$"FFEE EE33 E333 E333 3E33 33EE EEEE EFFC"
	$"11EE 3E33 E333 E333 3E33 33EE EEEE EB2C"
	$"FFEE EEEE EE3E EE33 EEE3 3EEE EEEE EFFC"
	$"11EE EEEE EEEE EEEE EEEE EEEE EEEE EB2C"
	$"FFEE EEEE EE3E EE33 EEE3 3EEE 33EE EFFC"
	$"11EE EE33 E333 E333 3E33 33E3 333E EB2C"
	$"FFEE 3E33 E333 E333 3E33 33E3 333E EFFC"
	$"11EE EEEE EE3E EE33 EEE3 3EEE 33EE EB2C"
	$"FFEE EEEE EEEE EEEE EEEE EEEE EEEE EFFC"
	$"11BF BFBF BFBF BFBF BFBF BFBF BFBF BF2C"
	$"0F2F 2F2F 2F2F 2F2F 2F2F 2F2F 2F2F 2F00"
	$"00CC CCCC CCCC CCCC CCCC CCCC CCCC C0"
};

resource 'icl8' (128) {
	$"00FF 03FF 03FF 03FF 03FF 03FF 03FF 03FF"
	$"03FF 03FF 03FF 03FF 03FF 03FF 03FF 0000"
	$"FFFF 0BFF 0BFF 0BFF 0BFF 0BFF 0BFF 0BFF"
	$"0BFF 0BFF 0BFF 0BFF 0BFF 0BFF 0BFF FF00"
	$"030B FCFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC FCFC D8D8 FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC D8FC D8D8 FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC FCFC FCFC FCFC D8FC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC FCFC D8D8 FCD8 D8D8 FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC D8FC D8D8 FCD8 D8D8 FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC FCFC FCFC FCFC D8FC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC FCFC FCFC FCFC D8FC FCFC D8D8"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC FCFC D8D8 FCD8 D8D8 FCD8 D8D8"
	$"D8FC FCFC FCFC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC D8FC D8D8 FCD8 D8D8 FCD8 D8D8"
	$"D8FC FCFC FCFC FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC FCFC FCFC FCFC D8FC FCFC D8D8"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC FCFC FCFC FCFC D8FC FCFC D8D8"
	$"FCFC FCD8 D8FC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC FCFC D8D8 FCD8 D8D8 FCD8 D8D8"
	$"D8FC D8D8 D8D8 FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC D8FC D8D8 FCD8 D8D8 FCD8 D8D8"
	$"D8FC D8D8 D8D8 FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC FCFC FCFC FCFC D8FC FCFC D8D8"
	$"FCFC FCD8 D8FC FCFC FCFC FCFC FCFF FFF6"
	$"030B FCFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FC5F 35F6"
	$"FFFF FCFC FCFC FCFC FCFC D8FC FCFC D8D8"
	$"FCFC FCD8 D8FC FCFC D8D8 FCFC FCFF FFF6"
	$"030B FCFC FCFC D8D8 FCD8 D8D8 FCD8 D8D8"
	$"D8FC D8D8 D8D8 FCD8 D8D8 D8FC FC5F 35F6"
	$"FFFF FCFC D8FC D8D8 FCD8 D8D8 FCD8 D8D8"
	$"D8FC D8D8 D8D8 FCD8 D8D8 D8FC FCFF FFF6"
	$"030B FCFC FCFC FCFC FCFC D8FC FCFC D8D8"
	$"FCFC FCD8 D8FC FCFC D8D8 FCFC FC5F 35F6"
	$"FFFF FCFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFF FFF6"
	$"030B 5FFF 5FFF 5FFF 5FFF 5FFF 5FFF 5FFF"
	$"5FFF 5FFF 5FFF 5FFF 5FFF 5FFF 5FFF 35F6"
	$"00FF 35FF 35FF 35FF 35FF 35FF 35FF 35FF"
	$"35FF 35FF 35FF 35FF 35FF 35FF 35FF 0000"
	$"0000 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6"
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"5555 5554 D555 5556 3FFF FFFC FFFF FFFE"
		$"3CFF FFFC F4FF FFFE 3FFF FFFC FFFF FFFE"
		$"3FDF FFFC FC8F FFFE 348F FFFC FFDF FFFE"
		$"3FFF FFFC FFDC FFFE 3C88 7FFC F488 7FFE"
		$"3FDC FFFC FFFF FFFE 3FDC E7FC FC88 43FE"
		$"3488 43FC FFDC E7FE 3FFF FFFC FFDC E73E"
		$"3C88 421C F488 421E 3FDC E73C FFFF FFFE"
		$"3FFF FFFC 5555 5554",
		/* [2] */
		$"7FFF FFFC FFFF FFFE FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF 7FFF FFFC 3FFF FFF8"
	}
};

resource 'ics#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"5554 FFFE 7FFC FFFE 7FFC FFFE 7FFC FFFE"
		$"7FFC FFFE 7FFC FFFE 7FFC FFFE 5554",
		/* [2] */
		$"7FFC FFFE FFFE FFFE FFFE FFFE FFFE FFFE"
		$"FFFE FFFE FFFE FFFE FFFE FFFE 7FFC"
	}
};

resource 'ics4' (128) {
	$"01F1 F1F1 F1F1 F100 1EEE EEEE EEEE EE20"
	$"FEEE EEEE EEEE EEF0 1EEE EEEE EEEE EE20"
	$"FEEE EEEE EEEE EEF0 1EEE EEEE EEEE EE20"
	$"FEEE EEEE EEEE EEF0 1EEE EEEE EEEE EE20"
	$"FEEE EEEE EEEE EEF0 1EEE EEEE EEEE EE20"
	$"FEEE EEEE EEEE EEF0 1EEE EEEE EEEE EE20"
	$"FEEE EEEE EEEE EEF0 1EEE EEEE EEEE EE20"
	$"02F2 F2F2 F2F2 F2"
};

resource 'ics8' (128) {
	$"0003 FF03 FF03 FF03 FF03 FF03 FF03 0000"
	$"03FC FCFC FCFC FCFC FCFC FCFC FCFC 3500"
	$"FFFC FCFC FCFC FCFC FCFC FCFC FCFC FF00"
	$"03FC FCFC FCFC FCFC FCFC FCFC FCFC 3500"
	$"FFFC FCFC FCFC FCFC FCFC FCFC FCFC FF00"
	$"03FC FCFC FCFC FCFC FCFC FCFC FCFC 3500"
	$"FFFC FCFC FCFC FCFC FCFC FCFC FCFC FF00"
	$"03FC FCFC FCFC FCFC FCFC FCFC FCFC 3500"
	$"FFFC FCFC FCFC FCFC FCFC FCFC FCFC FF00"
	$"03FC FCFC FCFC FCFC FCFC FCFC FCFC 3500"
	$"FFFC FCFC FCFC FCFC FCFC FCFC FCFC FF00"
	$"03FC FCFC FCFC FCFC FCFC FCFC FCFC 3500"
	$"FFFC FCFC FCFC FCFC FCFC FCFC FCFC FF00"
	$"03FC FCFC FCFC FCFC FCFC FCFC FCFC 3500"
	$"0035 FF35 FF35 FF35 FF35 FF35 FF35"
};

data 'ckid' (128, "Projector") {
	$"648B 9C19 3FE5 3230 0004 0000 0000 0000"            /* d.?20........ */
	$"0000 AEB8 8A98 AE47 3C37 AEB8 87BE 0086"            /* ..G<7. */
	$"1BB4 0001 0004 0001 1A53 6F6E 795A 5650"            /* ........SonyZVP */
	$"726F 6ABA 536F 6E79 205A 5620 4472 6976"            /* rojSony ZV Driv */
	$"6572 BA00 0D50 6869 6C69 7020 4E67 7579"            /* er.Philip Nguy */
	$"656E 0001 3100 0B53 6F6E 795A 562E 7273"            /* en..1..SonyZV.rs */
	$"7263 0000 0000 0000"                                /* rc...... */
};

