/*
	FILE:		A5Tools.h
	USAGE:		Header File for A5Tools.a
	PURPOSE:	To save and retrieve the A5 world 
				global variables of an application.
	AUTHOR:		Don Veca.
	DATE:		12/23/88
*/

#ifndef __A5Tools__
#define __A5Tools__


/*** Defined in A5Tools.a ***/

/*
	Stores the value in regester A5 into a holding place.
*/
extern pascal void  
	SaveAwayA5();
	
	
/*
	Puts the value that we saved via SaveAwayA5() back into
	regester A5 and returns the current value of A5 so we can
	put it back when we are done via TheirA5().
*/
extern pascal long  
	OurA5();
	
	
/*
	Puts the A5 value that we got from the return val of OurA5()
	back back into regester A5 when we are done.
*/
extern pascal void  
	TheirA5(long a5);

#endif