#   File:       SquidCakes.make
#   Target:     SquidCakes
#   Sources:    SquidCakes.c SquidCakes.r
#   Created:    Thursday, November 17, 1988 12:51:47 PM

VecaLib = :MPWC.VecaLib:
SquidLib = :MPWC.SquidLib:
GlueDir = ::Interfaces & Glue:

COptions = -i "{VecaLib}" -i "{SquidLib}" -i "{GlueDir}" -w
ROptions = -s "{VecaLib}"

SOURCES = SquidCakes.c SquidCakes.r
OBJECTS = SquidCakes.c.o  "{GlueDir}MIDIGlue.o" "{SquidLib}"SquidLib.c.o "{VecaLib}"VecaStdLib.c.o "{VecaLib}"A5Tools.a.o


SquidCakes  SquidCakes.r
	Rez {ROptions} SquidCakes.r -append -o SquidCakes
	setfile -a B SquidCakes


SquidCakes  SquidCakes.make {OBJECTS}
	Link -w -t APPL -c 'Veca' 
		{OBJECTS} 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{GlueDir}MIDIGlue.o" 
		"{SquidLib}"SquidLib.c.o 
		"{VecaLib}"VecaStdLib.c.o 
		"{VecaLib}"A5Tools.a.o 
		-o SquidCakes
	setfile -a B SquidCakes

SquidCakes.c.o  SquidCakes.c
	C {COptions} SquidCakes.c


