/*
	File:		SampleStorageDeviceID.h

	Contains:	xxx put contents here xxx

	Version:	xxx put version here xxx

	Copyright:	 1998-1999 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Craig Keithley

		Other Contact:		xxx put other contact here xxx

		Technology:			USB Drivers

	Writers:

		(CJK)	Craig Keithley

	Change History (most recent first):

	  <USB2>	 1/11/99	CJK		update to use sources from 1.1f3 DDK
*/

#ifndef __SAMPLESTORAGEDEVICEID__
#define __SAMPLESTORAGEDEVICEID__

#include <USB.h>

// The values for the device that this driver is being built for
// need to be enetered here before the driver will build
enum
{
	kDriverVendorID	 	= Your vendor number,		// USB Vendor ID
	kDriverProductID	= Your device number,		// USB Product ID.
	kDriverClassID		= kUSBMassStorageClass, 
	kDriverSubClassID	= Your device subclass
};

#endif /* __SAMPLESTORAGEDEVICEID__ */