/*
	File:		StorageClassShim.h

	Contains:	Header file for the Storage Class Shim

	Version:	1.1

	Copyright:	 1997-1999 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Craig Keithley

		Other Contact:		xxx put other contact here xxx

		Technology:			USB Drivers

	Writers:

		(CJK)	Craig Keithley

	Change History (most recent first):

	  <USB2>	 1/11/99	CJK		update to use sources from 1.1f3 DDK

*/
#ifndef __STORAGECLASSSHIM__
#define __STORAGECLASSSHIM__

#include <CodeFragments.h>
#include <USB.h>

// Prototypes for Code Fragment Manager Exports
extern OSErr 		CFragInitRoutine(CFragInitBlockPtr initBlkPtr);

// Prototypes for USB Manager/Expert Exports
extern OSStatus 	USBShim(void);
extern void 		USBShimTermination(void);
extern void			myNotificationCallback (USBDeviceNotificationParameterBlock *pb);

#endif /* __STORAGECLASSSHIM__ */