
// This header file is supplied by a third party developer and is hardware specific

#ifndef	_ACME_ZV_
#define	_ACME_ZV_


// This information is extracted from ZV card's CIS
#define	kZVNodeName		"\pf1,ACME"

	
// HW dependent ZV card registers
typedef	struct	ZVRegisters
	{
	UInt8	zvControl;
	UInt8	zvI2C;
	UInt8	zvSIO;
	UInt8	zvInterrupt;
	}	ZVRegisters;

enum
	{
	/* zvControl bits */

	kZVControl_VideoEnable	=	1,
	kZVControl_AudioEnable	=	2,


	/* zvSIO bits */
	
	kZVI2C_CardReset		=	0x80,
	kZVI2C_I2CDirection		=	0x10,
	kZVI2C_SCLInput			=	0x08,
	kZVI2C_SDAInput			=	0x04,
	kZVI2C_SCLOutput		=	0x02,
	kZVI2C_SDAOutput		=	0x01

	};


#endif
