/*
	FILE:	SquidCakes.r
	USAGE:	Resource Source File for the SquidCakes Application.
*/

#include "SysTypes.r"
#include "Types.r"

include "VecaStdLib.Rsrc"; 

resource 'ICN#' (128) {
	{ /* array: 2 elements */
		/* [1] */
		$"FF FF FF FF 80 00 00 01 80 00 00 01 80 00 00 01"
		$"80 00 8E 01 80 00 7B 01 80 00 01 01 87 C0 03 01"
		$"8F 60 03 01 9D F8 3E 01 B0 68 6E 01 80 3C D9 C1"
		$"80 14 B2 25 80 15 A5 DD 80 15 25 79 80 37 3D 01"
		$"80 F5 E9 81 81 1C 1F 41 81 81 C0 C1 81 71 7F 41"
		$"81 0F A0 41 81 00 A0 41 81 00 E0 41 81 00 60 41"
		$"81 00 60 41 81 80 40 C1 80 E0 83 81 80 3C 1E 01"
		$"80 07 F0 01 80 00 00 01 80 00 00 01 FF FF FF FF",
		/* [2] */
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
	}
};

resource 'DITL' (500, preload) {
	{ /* array DITLarray: 12 elements */
		/* [1] */
		{264, 8, 284, 104},
		Button {
			enabled,
			"Quit"
		},
		/* [2] */
		{144, 8, 164, 104},
		Button {
			enabled,
			"Clear"
		},
		/* [3] */
		{24, 8, 40, 72},
		StaticText {
			enabled,
			"Packets"
		},
		/* [4] */
		{40, 16, 56, 104},
		RadioButton {
			enabled,
			"Current"
		},
		/* [5] */
		{56, 16, 72, 104},
		RadioButton {
			enabled,
			"Pending"
		},
		/* [6] */
		{88, 8, 104, 72},
		StaticText {
			enabled,
			"Update"
		},
		/* [7] */
		{104, 16, 120, 104},
		RadioButton {
			enabled,
			"Normal"
		},
		/* [8] */
		{120, 16, 136, 104},
		RadioButton {
			enabled,
			"Fast"
		},
		/* [9] */
		{8, 112, 284, 296},
		UserItem {
			disabled
		},
		/* [10] */
		{180, 8, 200, 104},
		Button {
			enabled,
			"Record"
		},
		/* [11] */
		{203, 8, 223, 104},
		Button {
			enabled,
			"Play"
		},
		/* [12] */
		{226, 8, 246, 104},
		Button {
			enabled,
			"Stop"
		}
	}
};

resource 'DITL' (133, "MyAlertBoxItem1") {
	{ /* array DITLarray: 4 elements */
		/* [1] */
		{159, 194, 179, 254},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{50, 8, 156, 273},
		StaticText {
			disabled,
			"^0^1^2^3"
		},
		/* [3] */
		{1, 2, 48, 65},
		Icon {
			disabled,
			100
		},
		/* [4] */
		{2, 66, 49, 279},
		Picture {
			enabled,
			133
		}
	}
};

resource 'BNDL' (128) {
	'Veca',
	0,
	{ /* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{ /* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'FREF',
		{ /* array IDArray: 1 elements */
			/* [1] */
			0, 128
		}
	}
};

resource 'DLOG' (500, preload) {
	{58, 48, 350, 354},
	rDocProc,
	invisible,
	goAway,
	0x0,
	500,
	"Squid Cakes"
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};


resource 'ICON' (100, "VecaDevil") {
	$"FF FF FF FF 80 00 00 01 80 00 00 01 80 00 00 01"
	$"80 04 40 01 80 04 40 01 90 07 C0 01 9C 05 40 01"
	$"BC 07 C0 01 B8 06 C0 01 88 03 80 01 88 0F C1 01"
	$"88 1F E1 01 88 3F F1 01 88 77 F3 81 98 E7 FB 81"
	$"90 67 DF 81 98 3F C0 01 8E 3F E0 01 83 FF F0 01"
	$"80 3F F8 01 80 7B BC 01 80 71 1C 01 80 71 38 01"
	$"80 39 38 01 80 1C 70 01 80 8C 64 01 80 FC FC 01"
	$"80 00 00 01 80 00 00 01 80 00 00 01 FF FF FF FF"
};

resource 'ALRT' (133, "DevilAlertBox") {
	{112, 158, 294, 440},
	133,
	{ /* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

data 'Veca' (0) {
};

